
package de.ivu.elect.jee.presentation.dynamicform;

/**
 * Wird verwendet, um per DynaForm eine Auswahlliste für Booleans zu erzeugen, welche mit den Werten Ja und Nein sowie
 * dem leeren Wert (um nicht danach zu filtern) gefüllt wird.
 *
 */
public enum BooleanFilterKriterium {

  TRUE,
  FALSE;

  private BooleanFilterKriterium() {
  }

  public Boolean toBoolean() {
    return TRUE.equals(this);
  }

  public BooleanFilterKriterium valueOf(boolean value) {
    if (value) {
      return TRUE;
    }

    return FALSE;
  }
}
